Subject: bug#65013: 29.1; Can't save a modified GPG file

From: Eli Zaretskii <[email-masked]>
Date: Wed, 02 Aug 2023 14:56:54 +0300

> From: Damien Cassou <[email-masked]>
> Date: Wed, 02 Aug 2023 13:52:20 +0200
> 
> a recent change in Emacs 29.1 (I think between 29.0.92 which was working
> well and 29.1) prevents me from saving GPG-encrypted files. How to
> reproduce:
> 
> 1. execute the attached shell script (which just creates an encrypted
>    file and starts Emacs on it)
> 2. when asked to "Enter the user ID.  End with an empty line: ", just
>    type RET
> 3. when Emacs opens, change anything in the buffer and type "C-x C-s" to
>    save it
> 
> Expected: the content of the buffer is written to the file
> 
> Actual: Emacs seems to take forever but never does anything. Hitting C+g
>   stops the process.
> 
> I don't know of any workaround to save my GPG-encrypted files in Emacs.

It is not a change in Emacs, it is most probably the fact that you've
upgraded your GnuPG in the meantime.  etc/PROBLEMS has this to say
about the problem:

  *** Saving, via EasyPG, a file encrypted with GnuPG hangs

  This is known to happen with GnuPG v2.4.1.  The only known workaround
  is to downgrade to a version of GnuPG older than 2.4.1 (or, in the
  future, upgrade to a newer version which solves the problem, when such
  a fixed version becomes available).